javax.ejb

## Annotation Type Init

-     @Target(value=METHOD)
      @Retention(value=RUNTIME)
      public @interface Init

  Designates a method of a session bean that corresponds to a `create<METHOD>` method of an adapted home or local home interface (an interface that adapts an EJB 2.1 or earlier EJBHome or EJBLocalHome client view respectively).

  The result type of such an `Init` method is required to be `void`, and its parameter types must be exactly the same as those of the referenced `create<METHOD>` method(s).

  An `Init` method is only required to be specified for stateful session beans that provide a `RemoteHome` or `LocalHome` interface.

  The name of the adapted `create<METHOD>` method of the home or local home interface must be specified if the adapted interface has more than one `create<METHOD>` method and the method signatures are not the same.

  Since:
    EJB 3.0
  See Also:
    `LocalHome`, `RemoteHome`

- - ### Optional Element Summary

    Optional Elements
    Modifier and Type | Optional Element and Description
    --- | ---
    `String` | `value` The name of the corresponding `create<METHOD>` method of the adapted home or local home interface.

- - ### Element Detail

    - #### value

          public abstract String value

      The name of the corresponding `create<METHOD>` method of the adapted home or local home interface. This value is used to disambiguate the case where there are multiple `create<METHOD>` methods on an adapted home and/or local home interface. If there are multiple `create<METHOD>` methods on the adapted interface(s) and no value is specified, the `create<METHOD>` matching is based on signature only.

      Note that this value is not required to be specified if there is only a single `create<METHOD>` method even if the name of the method to which the `Init` annotation is applied does not match that of the `create<METHOD>` method.

      Default:
        ""

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.